#include <iostream>
#include <vector>
#include "text.h"

using namespace std;

void show_histogram_text(vector<size_t> bins, size_t bin_count){
    const size_t SCREEN_WIDTH = 80;
    const size_t MAX_ASTERISK = SCREEN_WIDTH - 3 - 1;

    size_t max_bin = bins[0];
    for(size_t i = 0; i < bin_count; i++)
    {
        if(bins[i] > max_bin)
        {
            max_bin = bins[i];
        }
    }

    for (size_t bin: bins)
    {
        size_t height = bin;

        if (max_bin > MAX_ASTERISK)
        {
          height = MAX_ASTERISK * (static_cast<double>(bin) / max_bin);
        }

        if (bin < 100)
        {
            cout << ' ';
        }
        if (bin < 10)
        {
            cout << ' ';
        }
        cout << bin << "|";
        for(size_t i = 0; i < height; i++)
        {
            cout << "*";
        }
        cout << endl;
    }
}
